Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network33.0.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
Network address
33.0.0.0
Broadcast address
33.3.255.255
First usable
33.0.0.1
Last usable
33.3.255.254
Usable hosts
262,142 (262,144 less the network and broadcast addresses)
Subnet mask
255.252.0.0
Wildcard mask
0.3.255.255 (Cisco ACLs, OSPF)
Prefix length
/14
Type
Public public
Old class
A (default /8)
As numbers
Hex 21000000 · Integer 553648128 to 553910271
Reverse DNS zones
0.33.in-addr.arpa
1.33.in-addr.arpa
2.33.in-addr.arpa
3.33.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00100001.00000000.00000000.0000000033.0.0.0
Subnet mask11111111.11111100.00000000.00000000255.252.0.0
Network00100001.00000000.00000000.0000000033.0.0.0
Broadcast00100001.00000011.11111111.1111111133.3.255.255
Split into smaller subnets/21

33.0.0.0/14 makes 128 subnets of /21.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
133.0.0.0/2133.0.0.1 to 33.0.7.25433.0.7.2552,046
233.0.8.0/2133.0.8.1 to 33.0.15.25433.0.15.2552,046
333.0.16.0/2133.0.16.1 to 33.0.23.25433.0.23.2552,046
433.0.24.0/2133.0.24.1 to 33.0.31.25433.0.31.2552,046
533.0.32.0/2133.0.32.1 to 33.0.39.25433.0.39.2552,046
633.0.40.0/2133.0.40.1 to 33.0.47.25433.0.47.2552,046
733.0.48.0/2133.0.48.1 to 33.0.55.25433.0.55.2552,046
833.0.56.0/2133.0.56.1 to 33.0.63.25433.0.63.2552,046
933.0.64.0/2133.0.64.1 to 33.0.71.25433.0.71.2552,046
1033.0.72.0/2133.0.72.1 to 33.0.79.25433.0.79.2552,046
1133.0.80.0/2133.0.80.1 to 33.0.87.25433.0.87.2552,046
1233.0.88.0/2133.0.88.1 to 33.0.95.25433.0.95.2552,046
1333.0.96.0/2133.0.96.1 to 33.0.103.25433.0.103.2552,046
1433.0.104.0/2133.0.104.1 to 33.0.111.25433.0.111.2552,046
1533.0.112.0/2133.0.112.1 to 33.0.119.25433.0.119.2552,046
1633.0.120.0/2133.0.120.1 to 33.0.127.25433.0.127.2552,046
1733.0.128.0/2133.0.128.1 to 33.0.135.25433.0.135.2552,046
1833.0.136.0/2133.0.136.1 to 33.0.143.25433.0.143.2552,046
1933.0.144.0/2133.0.144.1 to 33.0.151.25433.0.151.2552,046
2033.0.152.0/2133.0.152.1 to 33.0.159.25433.0.159.2552,046
2133.0.160.0/2133.0.160.1 to 33.0.167.25433.0.167.2552,046
2233.0.168.0/2133.0.168.1 to 33.0.175.25433.0.175.2552,046
2333.0.176.0/2133.0.176.1 to 33.0.183.25433.0.183.2552,046
2433.0.184.0/2133.0.184.1 to 33.0.191.25433.0.191.2552,046
2533.0.192.0/2133.0.192.1 to 33.0.199.25433.0.199.2552,046
2633.0.200.0/2133.0.200.1 to 33.0.207.25433.0.207.2552,046
2733.0.208.0/2133.0.208.1 to 33.0.215.25433.0.215.2552,046
2833.0.216.0/2133.0.216.1 to 33.0.223.25433.0.223.2552,046
2933.0.224.0/2133.0.224.1 to 33.0.231.25433.0.231.2552,046
3033.0.232.0/2133.0.232.1 to 33.0.239.25433.0.239.2552,046
3133.0.240.0/2133.0.240.1 to 33.0.247.25433.0.247.2552,046
3233.0.248.0/2133.0.248.1 to 33.0.255.25433.0.255.2552,046
3333.1.0.0/2133.1.0.1 to 33.1.7.25433.1.7.2552,046
3433.1.8.0/2133.1.8.1 to 33.1.15.25433.1.15.2552,046
3533.1.16.0/2133.1.16.1 to 33.1.23.25433.1.23.2552,046
3633.1.24.0/2133.1.24.1 to 33.1.31.25433.1.31.2552,046
3733.1.32.0/2133.1.32.1 to 33.1.39.25433.1.39.2552,046
3833.1.40.0/2133.1.40.1 to 33.1.47.25433.1.47.2552,046
3933.1.48.0/2133.1.48.1 to 33.1.55.25433.1.55.2552,046
4033.1.56.0/2133.1.56.1 to 33.1.63.25433.1.63.2552,046
4133.1.64.0/2133.1.64.1 to 33.1.71.25433.1.71.2552,046
4233.1.72.0/2133.1.72.1 to 33.1.79.25433.1.79.2552,046
4333.1.80.0/2133.1.80.1 to 33.1.87.25433.1.87.2552,046
4433.1.88.0/2133.1.88.1 to 33.1.95.25433.1.95.2552,046
4533.1.96.0/2133.1.96.1 to 33.1.103.25433.1.103.2552,046
4633.1.104.0/2133.1.104.1 to 33.1.111.25433.1.111.2552,046
4733.1.112.0/2133.1.112.1 to 33.1.119.25433.1.119.2552,046
4833.1.120.0/2133.1.120.1 to 33.1.127.25433.1.127.2552,046
4933.1.128.0/2133.1.128.1 to 33.1.135.25433.1.135.2552,046
5033.1.136.0/2133.1.136.1 to 33.1.143.25433.1.143.2552,046
5133.1.144.0/2133.1.144.1 to 33.1.151.25433.1.151.2552,046
5233.1.152.0/2133.1.152.1 to 33.1.159.25433.1.159.2552,046
5333.1.160.0/2133.1.160.1 to 33.1.167.25433.1.167.2552,046
5433.1.168.0/2133.1.168.1 to 33.1.175.25433.1.175.2552,046
5533.1.176.0/2133.1.176.1 to 33.1.183.25433.1.183.2552,046
5633.1.184.0/2133.1.184.1 to 33.1.191.25433.1.191.2552,046
5733.1.192.0/2133.1.192.1 to 33.1.199.25433.1.199.2552,046
5833.1.200.0/2133.1.200.1 to 33.1.207.25433.1.207.2552,046
5933.1.208.0/2133.1.208.1 to 33.1.215.25433.1.215.2552,046
6033.1.216.0/2133.1.216.1 to 33.1.223.25433.1.223.2552,046
6133.1.224.0/2133.1.224.1 to 33.1.231.25433.1.231.2552,046
6233.1.232.0/2133.1.232.1 to 33.1.239.25433.1.239.2552,046
6333.1.240.0/2133.1.240.1 to 33.1.247.25433.1.247.2552,046
6433.1.248.0/2133.1.248.1 to 33.1.255.25433.1.255.2552,046
6533.2.0.0/2133.2.0.1 to 33.2.7.25433.2.7.2552,046
6633.2.8.0/2133.2.8.1 to 33.2.15.25433.2.15.2552,046
6733.2.16.0/2133.2.16.1 to 33.2.23.25433.2.23.2552,046
6833.2.24.0/2133.2.24.1 to 33.2.31.25433.2.31.2552,046
6933.2.32.0/2133.2.32.1 to 33.2.39.25433.2.39.2552,046
7033.2.40.0/2133.2.40.1 to 33.2.47.25433.2.47.2552,046
7133.2.48.0/2133.2.48.1 to 33.2.55.25433.2.55.2552,046
7233.2.56.0/2133.2.56.1 to 33.2.63.25433.2.63.2552,046
7333.2.64.0/2133.2.64.1 to 33.2.71.25433.2.71.2552,046
7433.2.72.0/2133.2.72.1 to 33.2.79.25433.2.79.2552,046
7533.2.80.0/2133.2.80.1 to 33.2.87.25433.2.87.2552,046
7633.2.88.0/2133.2.88.1 to 33.2.95.25433.2.95.2552,046
7733.2.96.0/2133.2.96.1 to 33.2.103.25433.2.103.2552,046
7833.2.104.0/2133.2.104.1 to 33.2.111.25433.2.111.2552,046
7933.2.112.0/2133.2.112.1 to 33.2.119.25433.2.119.2552,046
8033.2.120.0/2133.2.120.1 to 33.2.127.25433.2.127.2552,046
8133.2.128.0/2133.2.128.1 to 33.2.135.25433.2.135.2552,046
8233.2.136.0/2133.2.136.1 to 33.2.143.25433.2.143.2552,046
8333.2.144.0/2133.2.144.1 to 33.2.151.25433.2.151.2552,046
8433.2.152.0/2133.2.152.1 to 33.2.159.25433.2.159.2552,046
8533.2.160.0/2133.2.160.1 to 33.2.167.25433.2.167.2552,046
8633.2.168.0/2133.2.168.1 to 33.2.175.25433.2.175.2552,046
8733.2.176.0/2133.2.176.1 to 33.2.183.25433.2.183.2552,046
8833.2.184.0/2133.2.184.1 to 33.2.191.25433.2.191.2552,046
8933.2.192.0/2133.2.192.1 to 33.2.199.25433.2.199.2552,046
9033.2.200.0/2133.2.200.1 to 33.2.207.25433.2.207.2552,046
9133.2.208.0/2133.2.208.1 to 33.2.215.25433.2.215.2552,046
9233.2.216.0/2133.2.216.1 to 33.2.223.25433.2.223.2552,046
9333.2.224.0/2133.2.224.1 to 33.2.231.25433.2.231.2552,046
9433.2.232.0/2133.2.232.1 to 33.2.239.25433.2.239.2552,046
9533.2.240.0/2133.2.240.1 to 33.2.247.25433.2.247.2552,046
9633.2.248.0/2133.2.248.1 to 33.2.255.25433.2.255.2552,046
9733.3.0.0/2133.3.0.1 to 33.3.7.25433.3.7.2552,046
9833.3.8.0/2133.3.8.1 to 33.3.15.25433.3.15.2552,046
9933.3.16.0/2133.3.16.1 to 33.3.23.25433.3.23.2552,046
10033.3.24.0/2133.3.24.1 to 33.3.31.25433.3.31.2552,046
10133.3.32.0/2133.3.32.1 to 33.3.39.25433.3.39.2552,046
10233.3.40.0/2133.3.40.1 to 33.3.47.25433.3.47.2552,046
10333.3.48.0/2133.3.48.1 to 33.3.55.25433.3.55.2552,046
10433.3.56.0/2133.3.56.1 to 33.3.63.25433.3.63.2552,046
10533.3.64.0/2133.3.64.1 to 33.3.71.25433.3.71.2552,046
10633.3.72.0/2133.3.72.1 to 33.3.79.25433.3.79.2552,046
10733.3.80.0/2133.3.80.1 to 33.3.87.25433.3.87.2552,046
10833.3.88.0/2133.3.88.1 to 33.3.95.25433.3.95.2552,046
10933.3.96.0/2133.3.96.1 to 33.3.103.25433.3.103.2552,046
11033.3.104.0/2133.3.104.1 to 33.3.111.25433.3.111.2552,046
11133.3.112.0/2133.3.112.1 to 33.3.119.25433.3.119.2552,046
11233.3.120.0/2133.3.120.1 to 33.3.127.25433.3.127.2552,046
11333.3.128.0/2133.3.128.1 to 33.3.135.25433.3.135.2552,046
11433.3.136.0/2133.3.136.1 to 33.3.143.25433.3.143.2552,046
11533.3.144.0/2133.3.144.1 to 33.3.151.25433.3.151.2552,046
11633.3.152.0/2133.3.152.1 to 33.3.159.25433.3.159.2552,046
11733.3.160.0/2133.3.160.1 to 33.3.167.25433.3.167.2552,046
11833.3.168.0/2133.3.168.1 to 33.3.175.25433.3.175.2552,046
11933.3.176.0/2133.3.176.1 to 33.3.183.25433.3.183.2552,046
12033.3.184.0/2133.3.184.1 to 33.3.191.25433.3.191.2552,046
12133.3.192.0/2133.3.192.1 to 33.3.199.25433.3.199.2552,046
12233.3.200.0/2133.3.200.1 to 33.3.207.25433.3.207.2552,046
12333.3.208.0/2133.3.208.1 to 33.3.215.25433.3.215.2552,046
12433.3.216.0/2133.3.216.1 to 33.3.223.25433.3.223.2552,046
12533.3.224.0/2133.3.224.1 to 33.3.231.25433.3.231.2552,046
12633.3.232.0/2133.3.232.1 to 33.3.239.25433.3.239.2552,046
12733.3.240.0/2133.3.240.1 to 33.3.247.25433.3.247.2552,046
12833.3.248.0/2133.3.248.1 to 33.3.255.25433.3.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses